## org.cybergarage.http
Class Date

    java.lang.Object
      org.cybergarage.http.Date

    public class Date

extends Object

Constructor Summary
`Date(Calendar cal)`

Method Summary
`Calendar` `getCalendar()`
`String` `getDateString()`
`int` `getHour()`
`static Date` `getInstance()`
`static Date` `getLocalInstance()`
`int` `getMinute()`
`int` `getSecond()`
`String` `getTimeString()`
`static String` `toDateString(int value)`
`static String` `toMonthString(int value)`
`static String` `toTimeString(int value)`
`static String` `toWeekString(int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Date

    public Date(Calendar cal)

Method Detail

### getCalendar

    public Calendar getCalendar()

### getHour

    public int getHour()

### getMinute

    public int getMinute()

### getSecond

    public int getSecond()

### getLocalInstance

    public static final Date getLocalInstance()

### getInstance

    public static final Date getInstance()

### toDateString

    public static final String toDateString(int value)

### toMonthString

    public static final String toMonthString(int value)

### toWeekString

    public static final String toWeekString(int value)

### toTimeString

    public static final String toTimeString(int value)

### getDateString

    public String getDateString()

### getTimeString

    public String getTimeString()